@font-face {
  font-family: big, serif;
  src: url('../fonts/bigcaslon-rom.otf') format('otf');
  font-style: normal;
  font-weight: 400;
}

@font-face {
  font-family: william, serif;
  src: url('../fonts/william-reg.otf') format('otf');
  font-style: normal;
  font-weight: 400;
}

@font-face {
  font-family: william, serif;
  src: url('../fonts/william-reg-ita.otf') format('otf');
  font-style: italic;
  font-weight: 400;
}

@font-face {
  font-family: william, serif;
  src: url('../fonts/william-bld.otf') format('otf');
  font-style: normal;
  font-weight: 600;
}

@font-face {
  font-family: william, serif;
  src: url('../fonts/william-bld-ita.otf') format('otf');
  font-style: italic;
  font-weight: 600;
}

/* Meyerweb reset v2.0 | 20110126 | License: none (public domain) */
html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
  box-sizing: border-box;
}

/* HTML5 display-role reset for older browsers */
article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section {
  display: block;
}

body {
  line-height: 1;
}

ol,
ul {
  list-style: none;
}

blockquote,
q {
  quotes: none;
}

blockquote:before,
blockquote:after,
q:before,
q:after {
  content: '';
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}


/* Custom */
body {
  font-family: william;
  font-size: 24px;
  /* letter-spacing: 0.015em; */
  line-height: 1.2;
}

#books {
  scroll-behavior: smooth;
  scroll-padding-top: 43px;
}



em {
  font-style: italic;
}

em em {
  font-style: normal;
}

strong,
b {
  font-weight: 600;
}

main {
  /* display: flex; */
  perspective: 1500px;
  height: 100vh;
  width: 100vw;
  overflow: hidden;
}

main>div {
  transition: transform 1s ease-in-out, filter 1s ease-in-out;
  overflow-x: hidden;
  overflow-y: scroll;
  position: fixed;
  width: calc(100vw - 80px);
  height: calc(100vh);
  padding: 60px 0 120px;
  backface-visibility: hidden;
  filter: invert(0.2);
  top: 0px;
  left: 40px;
  transform: inherit;
}

main:after {
  content: ' ';
  position: fixed;
  left: 40px;
  bottom: 40px;
  height: 120px;
  width: calc(100% - 80px);
  /* subtle top-to-bottom fade */
  background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 1) 100%);
  z-index: 10000000;
}

main .active {
  /* flex: 1 0 calc(100% - 120px); */
  /* transition: flex 0.5s ease-in-out; */
  transition: transform 1s ease-in-out, filter 1s ease-in-out;
  z-index: 10000;
  overflow-y: scroll;
  filter: invert(0);
}

#about {
  text-align: center;
  background-color: #fff;
  transform-origin: top;
  transform: rotateX(-120deg);
}

#about.active {
  transform: rotateX(0deg);
}

.wrapper {
  width: 100%;
}

#gif {
  display: flex;
  justify-content: center;
  align-items: center;
}

#contribute {
  background-color: #fff;
  transform: rotateX(120deg);
  transform-origin: bottom;
}

#contribute.active {
  transform: rotateX(0deg);
}

#books {
  /* border-left-color: red; */
  background-color: #fff;
  transform: rotateY(150deg);
  transform-origin: left;
  padding-bottom: 120px;
}

#books.active {
  transform: rotateY(0deg);
}

#readerpanel {
  background-color: #fff;
  transform: rotateY(-150deg);
  transform-origin: right;
}

#readerpanel.active {
  transform: rotateY(-0deg);
}

blockquote {}


/* .excerpt::after {
    content: ' ';
    width: 100%;
    position: absolute;
    background: linear-gradient(0deg, rgba(255,255,255,1) 0%, rgba(255,255,255,0) 100%);
    height: 90px;
    top: 100%;
} */

.extrait {
  text-align: center;
  padding: 2em;
}

#tableHeader {
  display: flex;
  justify-content: space-between;
  padding: 0.3em 0 0.5em;
  position: sticky;
  top: 0;
  background-color: #fff;
  border-bottom: 1px solid #ccc;
}

#tableHeader li {
  cursor: pointer;
}

#tableBody li .colonne {
  display: flex;
  justify-content: space-between;
  padding: 5px 0;
  cursor: pointer;
}

#tableBody li {
  border-bottom: 1px solid #ccc;
}

/* #tableBody li:nth-child(odd){
    background-color: #f9f9f9;
} */


/* #tableBody li:hover{
    background-color: #eee;
    cursor: pointer;
} */

#tableHeader li,
#tableBody li span {
  flex: 0 0 calc(100% / 7);
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  width: 100%
}

#tableBody.filtered li {
  display: none;
}

#tableBody.filtered li.selected {
  display: block;
}


#tableHeader li.selected[data-sortascending="desc"]:after {
  content: '\25BC';
  content: '⏷';
}

#tableHeader li.selected[data-sortascending="asc"]:after {
  content: '\25B2';
  content: '⏶';
}

#coverPreview {
  box-shadow: 0px 2px 3px #999;
}

#coverPreview img {
  filter: grayscale() contrast(2) invert(0.05);
  display: block;
}

/* FICHE */


.fiche {
  display: flex;
  column-gap: 20px;
  height: 0;
  overflow-x: scroll;
  overflow-y: hidden;
  flex-wrap: nowrap;
}

.fiche>div {
  flex: 0 0 auto;
  margin: 20px 0 0px;
  padding: 00px 0 20px;
}

.showBook .fiche {
  height: auto;
}

.fiche span.label {
  width: 190px !important;
  display: inline-block;
}

.images {
  background-color: #000;
  flex: 0 0 auto;
}

.images img {
  display: inline-block;
  padding: 10px;
}


.infoslivres {
  max-width: 450px;
}

.infoslivres table tr td:first-of-type {
  padding-right: 20px;
  white-space: nowrap;
}

.extraits {
  width: 500px
}

header {
  display: flex;
  justify-content: space-between;
  margin-bottom: 20px;
}

h1 {
  display: inline-block;
}

/* FILTERS */



#filters>* {
  display: inline-block;
}

#filters ul {
  display: inline-flex;
}

#filters ul li {
  display: inline-block;
  background-color: #ccc;
  padding: 1px 10px 2px;
  border-radius: 12px;
  margin: 3px;
  cursor: pointer;
}

#filters ul li.active {
  background-color: #000;
  color: #fff
}

#readerpanel h3 {
  font-size: 120px;
  letter-spacing: -1px;
  text-align: center;
}

.bookcloud {
  width: 100%;
  min-height: 800px;
  overflow: hidden;
}

.bookcloud img {
  /* opacity: 0; */
  filter: grayscale(100%) drop-shadow(5px 15px 0px #000000);
}

.bookcloud img:hover {
  z-index: 1000 !important;
}

.item {
  /* background-color: #ccc; */
  padding: 1px 5px 2px;
  display: inline;
  border-radius: 5px;
  margin: 0 30px;
}


#readerpanel {}

#menuReader ul {
  display: flex;
  justify-content: center;
}

#menuReader ul li {
  display: inline-block;
  margin: 0 10px;
  cursor: pointer;

}

#readerpanel img {
  max-width: 100%;
  height: auto;
}


#readerpanel .wrapper {
  padding-right: 40px;
}


#readerpanel h3,
#readerpanel h2 {
  scroll-snap-align: start;
}

#readerpanel .section {
  min-height: calc(100vh - 120px);
}

.textelecture p {
  margin: 0 auto;
  max-width: 960px;
  text-align: center;
}

.textelecture {
  margin-bottom: 100px;
}


#readerpanel .selection span {
  cursor: pointer;
}

#readerpanel .selection span:hover {
  opacity: 0.75;
}


#readerpanel figcaption {
  font-size: 16px;
}

/* menu */

#menu li a {
  position: fixed;
}

#menu a {
  color: #000;
  text-align: center;
  text-decoration: none;
  font-size: 30px;
  line-height: 40px;
}

#menu #btnabout a {
  display: block;
  height: 40px;
  width: calc(100% - 0px);
  background: linear-gradient(0deg, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 1) 50%);
  top: 0px;
  left: 0;
}

#menu #btncontribute a {
  display: block;
  text-align: center;
  height: 40px;
  width: calc(100% - 0px);
  background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 1) 50%);
  background: #fff;
  bottom: 0px;
  left: 0px;
}

#menu #btnreaderpanel a {
  display: block;
  height: calc(100% - 0px);
  width: 0px;
  top: 0px;
  right: 0;
  writing-mode: vertical-rl;
}

#menu #btnbook a {
  display: block;
  height: calc(100% - 0px);
  width: 40px;

  top: 0px;
  left: 0;
  writing-mode: vertical-rl;
}

#menu a.active {
  color: red
}